MetadataSourceProcessor (Hibernate JavaDocs)
Date: 2012-04-05

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.metamodel.source
Interface MetadataSourceProcessor

All Known Implementing Classes:
  AnnotationMetadataSourceProcessorImpl, HbmMetadataSourceProcessorImpl

    public interface MetadataSourceProcessor

Handles the processing of metadata sources in a dependency-ordered manner.

Method Summary
`void` | `prepare(MetadataSources sources)` Prepare for processing the given sources.
`void` | `processIndependentMetadata(MetadataSources sources)` Process the independent metadata.
`void` | `processMappingDependentMetadata(MetadataSources sources)` Process the parts of the metadata that depend on mapping (entities, et al) information having been processed and available.
`void` | `processMappingMetadata(MetadataSources sources, List<String> processedEntityNames)` Process the mapping (entities, et al) metadata.
`void` | `processTypeDependentMetadata(MetadataSources sources)` Process the parts of the metadata that depend on type information (type definitions) having been processed and available.

Method Detail

### prepare

    void prepare(MetadataSources sources)

  Prepare for processing the given sources.

  Parameters:
    `sources` - The metadata sources.

### processIndependentMetadata

    void processIndependentMetadata(MetadataSources sources)

  Process the independent metadata. These have no dependency on other types of metadata being processed.

  Parameters:
    `sources` - The metadata sources.
  See Also:
    `prepare(org.hibernate.metamodel.MetadataSources)`

### processTypeDependentMetadata

    void processTypeDependentMetadata(MetadataSources sources)

  Process the parts of the metadata that depend on type information (type definitions) having been processed and available.

  Parameters:
    `sources` - The metadata sources.
  See Also:
    `processIndependentMetadata(org.hibernate.metamodel.MetadataSources)`

### processMappingMetadata

    void processMappingMetadata(MetadataSources sources,
                                List<String> processedEntityNames)

  Process the mapping (entities, et al) metadata.

  Parameters:
    `sources` - The metadata sources.
    `processedEntityNames` - Collection of any already processed entity names.
  See Also:
    `processTypeDependentMetadata(org.hibernate.metamodel.MetadataSources)`

### processMappingDependentMetadata

    void processMappingDependentMetadata(MetadataSources sources)

  Process the parts of the metadata that depend on mapping (entities, et al) information having been processed and available.

  Parameters:
    `sources` - The metadata sources.
  See Also:
    `processMappingMetadata(org.hibernate.metamodel.MetadataSources, java.util.List)`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.